import 'package:get/get_navigation/src/routes/get_route.dart';
import '../screen/game/game_cards/game_card_screen.dart';
import '../screen/login/login_screen.dart';
import '../screen/main_tab_screen/main_tab_screen.dart';
import '../screen/onboarding/onboarding_screen.dart';
import '../screen/setting/setting_screen.dart';
import '../screen/splash/splash_screen.dart';
import '../screen/voucher/detail/voucher_detail_screen.dart';
import '../screen/voucher/voucher_list/voucher_list_screen.dart';

const splashScreen = '/splash';
const onboardingScreen = '/onboarding';
const loginScreen = '/login';
const mainScreen = '/main';
const settingScreen = '/setting';
const vouchersScreen = '/vouchers';
const voucherDetailScreen = '/voucherDetail';
const gameCardScreen = '/gameCardScreen';

class RouterPage {
  static List<GetPage> pages() {
    List<GetPage> list = [];
    list.addAll(_pages());
    return list;
  }

  static List<GetPage> _pages() {
    return [
      GetPage(name: splashScreen, page: () => const SplashScreen()),
      GetPage(name: onboardingScreen, page: () => const OnboardingScreen()),
      GetPage(name: loginScreen, page: () => const LoginScreen()),
      GetPage(name: mainScreen, page: () => const MainTabScreen()),
      GetPage(name: settingScreen, page: () => const SettingScreen()),
      GetPage(name: vouchersScreen, page: () => VoucherListScreen(),),
      GetPage(name: voucherDetailScreen, page: () => VoucherDetailScreen(),),
      GetPage(name: gameCardScreen, page: () => GameCardScreen(),),
    ];
  }
}
